/* Author: Mohammad M. AlBanna
 * Website: www.MBanna.info
 *
 * This script will be loaded when the user click on the extension's icon
 */


getLocation();
saveData();
loadData();
//------------------------------------//
//To return the GeoLocation of this user
function getLocation() {
    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(function(position){
        	console.log("The Latitude is: " +position.coords.latitude);
        	console.log("The Longitude is: " +position.coords.longitude);
        });
    } 
}
//------------------------------------//
//Save simple data using chrome.storage.local in local storage
function saveData(){
	chrome.storage.local.set({'value': 'First Value To Save'}, function() {
        //What do you want to do after that
        console.log("Data Saved!");
        });
}

//------------------------------------//
//Load saved data from local storage
function loadData(){
	chrome.storage.local.get('value', function(data) {
        console.log(data);
        });
}


